import request from '@/utils/request'

// 查询资源列表
export function listAttach(query) {
  return request({
    url: '/bst/attach/list',
    method: 'get',
    params: query
  })
}

// 查询资源详细
export function getAttach(id) {
  return request({
    url: '/bst/attach/' + id,
    method: 'get'
  })
}

// 新增资源
export function addAttach(data) {
  return request({
    url: '/bst/attach',
    method: 'post',
    data: data
  })
}

// 修改资源
export function updateAttach(data) {
  return request({
    url: '/bst/attach',
    method: 'put',
    data: data
  })
}

// 删除资源
export function delAttach(id) {
  return request({
    url: '/bst/attach/' + id,
    method: 'delete'
  })
}
